@import url('https://fonts.googleapis.com/css2?family=PT+Sans:ital,wght@0,400;0,700;1,400;1,700&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');
@font-face {
  font-family: Sansation;
  src: url(fonts/Sansation.ttf);
  }
  @font-face {
    font-family: Sansation;
    src: url(fonts/Sansation.ttf);
  }
  @font-face {
  font-family: GillReg;
  src: url(fonts/GillReg.otf);
}
  @font-face {
  font-family: GillBold;
  src: url(fonts/GillBold.otf);
}

:root {
  --PalCol: rgb(251, 255, 0);
}

  body {
    margin: 0;
    font-family: 'GillReg', 'PT Sans', 'Roboto';
    background-color: #0a0a0d;
    color: #eee;
    background-image: radial-gradient(circle at top right,rgb(from var(--PalCol) calc(r + 15) calc(g - 10) b / .05), transparent 60%),
                      radial-gradient(circle at center left, rgb(from var(--PalCol) calc(r - 25) g b / .05), transparent 60%),
                      radial-gradient(circle at bottom right, rgb(from var(--PalCol) calc(r - 55) g b / .05), transparent 60%);  
    min-height: 100vh;
    font-size: 100%;
  }

.serverinfo {
  padding-left: 10%;
  display: flex;
  justify-content: space-evenly;
  padding-top: 10vh;
}

h1 {
  font-size: 3rem;
  text-shadow: 0px 0px 30px rgb(from var(--PalCol)r g b \ .5);
  color: var(--PalCol);
  margin: 0;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .2s;
  font-family: 'GillBold';
}

h2 {
  color: rgb(201, 204, 0);
}

.ip {
  padding-top: 16vh;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .6s;
}

.lowerbody {
  margin: 0 27vw;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: 1s;
}

.intro {
  padding-top: 5vh;
}

button {
  font-size: large;
  background: black;
  color: white;
  border: 5px dashed rgb(201, 204, 0);
  min-width: 6rem;
}

button:hover {
  color: var(--PalCol);
  border: 5px solid var(--PalCol);
  transition: all .4s ease;
}

button:active {
  color: black;
  border-color: black;
}

li {
  font-size: 85%;
  padding: 4px;
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .9s;
}

.joininfo {
  display: flex;
  justify-content: start;
  align-items: center;
  flex-direction: row;
  }

.infobox {
  opacity: 0;
  animation: fadein 2s forwards;
  animation-delay: .7s;
  }

footer {
  margin: 10vh;
}

@keyframes fadein {
  from {opacity: 0;}
  to {opacity: 1;}
}

        @media (max-width: 1260px) {

h1 {
  font-size: 2rem;
}

.ip {
  padding-top: 1vh;
}

.lowerbody {
  margin: 0 13vw;
}

}

        @media (max-width: 1030px) {

body {
  font-size: 100%;
}

h1 {
  font-size: 1.75rem;
  align-items: center;
}

.ip {
  font-size: 1rem;
  align-items: center;
  padding-top: 1rem;
}

.serverinfo {
  padding: 0 2vw;;
  top: 4.5vh;
  position: relative;
  text-align: center;
  align-items: baseline;
  display: inline;
}

.joininfo {
  display: block;
  justify-content: start;
  align-items: center;
  flex-direction: row;
  }

.lowerbody {
  margin: 0 10vw ;
  opacity: 0;
}

} 

        @media (max-height: 500px) {

h1 {
  font-size: 4rem;
}

.ip {
  font-size: 1.5rem;
}

.serverinfo {
  position: relative;
  align-items:baseline;
} 

}